{% extends '@DemosPlanCore/DemosPlanCore/base.html.twig' %}
{% block component_part %}

    {% include '@DemosPlanCore/DemosPlanCore/includes/base_pageheader.html.twig' with {
        heading: 'statements'|trans,
        subnav: [ {
            href: path('DemosPlan_procedure_import', { procedureId: procedure }),
            label:  'statement.new'|trans,
            icon: 'fa-plus'
        }],
        flush: true
    } %}

    {% set submitTypesOptions = [] %}
    {% for key, translated in getFormOption('statement_submit_types.values', true)|filter(key => key != 'system') %}
        {% set submitTypesOptions = submitTypesOptions|merge([{ label: translated, value: key }]) %}
    {% endfor %}

    <list-statements
        class="u-mv-0_5"
        current-user-id="{{ currentUser.ident }}"
        :is-source-and-coupled-procedure="{{ templateVars.isSourceAndCoupledProcedure == 1 ? 'true' : 'false' }}"
        procedure-id="{{ procedure }}"
        :submit-type-options="JSON.parse('{{ submitTypesOptions|json_encode|e('js', 'utf-8') }}')"
    ></list-statements>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['statement-listStatements.js']) }}
{% endblock javascripts %}
